{
  "name": "admuser",
  "version": "1.0.1",
  "description": "Administrador de usuarios",
  "main": "src/index.ts",
  "scripts": {
    "start": "node src/index.ts",
    "serve": "nodemon --legacy-watch src/index.ts",
    "docker": "docker-compose build && docker-compose up",
    "dev-d": "npm install --only=prod",
    "test": "echo \"Error: no test specified\" && exit 1",
    "html": "copyfiles --up 1 src/public/*.html ./dist",
    "img-png": "copyfiles --up 1 src/public/assets/img/*.png ./dist",
    "img-jpg": "copyfiles --up 1 src/public/assets/img/*.jpg ./dist",
    "img-webp": "copyfiles --up 1 src/public/assets/img/*.webp ./dist",
    "environments": "copyfiles --up 1 src/.env ./dist",
    "remove-dist": "rm -rf dist/",
    "package": "copyfiles package.json ./dist",
    "build": "npm run remove-dist && tsc && npm run html && npm run img-png && npm run img-jpg && npm run img-webp && npm run package"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/voteblock1/backend/be-admuser.git"
  },
  "keywords": [
    "administrador",
    "de",
    "usuarios"
  ],
  "author": "scespedesg",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/voteblock1/backend/be-admuser/issues"
  },
  "homepage": "https://gitlab.com/voteblock1/backend/be-admuser#readme",
  "dependencies": {
    "bcrypt": "^5.0.0",
    "body-parser": "^1.19.0",
    "crypto-js": "^4.0.0",
    "express": "^4.17.1",
    "jsonwebtoken": "^8.5.1",
    "log4js": "^6.3.0",
    "mongoose": "^5.10.8",
    "morgan": "^1.10.0",
    "multer": "^1.4.2",
    "nodemailer": "^6.4.13",
    "underscore": "^1.11.0",
    "uuid": "^8.3.1"
  },
  "devDependencies": {
    "@types/bcrypt": "^3.0.0",
    "@types/body-parser": "^1.19.0",
    "@types/crypto-js": "^4.0.1",
    "@types/express": "^4.17.8",
    "@types/jsonwebtoken": "^8.5.0",
    "@types/log4js": "^2.3.5",
    "@types/mongoose": "^5.7.36",
    "@types/morgan": "^1.9.1",
    "@types/multer": "^1.4.4",
    "@types/nodemailer": "^6.4.0",
    "@types/underscore": "^1.10.24",
    "@types/uuid": "^8.3.0",
    "copyfiles": "^2.4.0",
    "nodemon": "^2.0.4",
    "ts-node": "^9.0.0",
    "typescript": "^4.0.3"
  }
}
